# sparkplug.eclipse.org

The [https://sparkplug.eclipse.org](https://sparkplug.eclipse.org) website is generated with [Hugo](https://gohugo.io/documentation/). This project is a work in progress. 

The Eclipse Sparkplug Working Group seeks to drive the evolution and adoption of the Eclipse Sparkplug protocol and related MQTT-based technologies that enable the creation of open, collaborative, interoperable, and scalable Industrial IoT (IIoT) solutions and provide support for Industry 4.0.

[![Build Status](https://travis-ci.org/eclipsefdn/sparkplug.eclipse.org.svg?branch=master)](https://travis-ci.org/eclipsefdn/sparkplug.eclipse.org)

## Getting started

Install dependencies, build assets and start a webserver:

```bash
npm install && hugo server
```

You can find guidance on the page-level metadata [here](https://eclipsefdn.github.io/hugo-solstice-theme/), and examples of the assorted page types (components) [here](https://eclipsefdn.github.io/hugo-solstice-theme/components/).

## Contributing

1. [Fork](https://help.github.com/articles/fork-a-repo/) the [eclipsefdn/sparkplug.eclipse.org](https://github.com/eclipsefdn/sparkplug.eclipse.org) repository
2. Clone repository: `git clone https://github.com/[your_github_username]/sparkplug.eclipse.org.git`
3. Create your feature branch: `git checkout -b my-new-feature`
4. Commit your changes: `git commit -m 'Add some feature' -s`
5. Push feature branch: `git push origin my-new-feature`
6. Submit a pull request

### Declared Project Licenses

This program and the accompanying materials are made available under the terms
of the Eclipse Public License v. 2.0 which is available at
http://www.eclipse.org/legal/epl-2.0.

SPDX-License-Identifier: EPL-2.0

## Related projects

### [EclipseFdn/solstice-assets](https://github.com/EclipseFdn/solstice-assets)

Images, less and JavaScript files for the Eclipse Foundation look and feel.

### [EclipseFdn/hugo-solstice-theme](https://github.com/EclipseFdn/hugo-solstice-theme)

Hugo theme of the Eclipse Foundation look and feel. 

## Bugs and feature requests

Have a bug or a feature request? Please search for existing and closed issues. If your problem or idea is not addressed yet, [please open a new issue](https://github.com/eclipsefdn/sparkplug.eclipse.org/issues/new).

## Author

**Christopher Guindon (Eclipse Foundation)**

- <https://twitter.com/chrisguindon>
- <https://github.com/chrisguindon>

## Trademarks

* Jakarta and Jakarta EE are Trademarks of the Eclipse Foundation, Inc.
* Eclipse® is a Trademark of the Eclipse Foundation, Inc.
* Eclipse Foundation is a Trademark of the Eclipse Foundation, Inc.

## Copyright and license

Copyright 2019 the [Eclipse Foundation, Inc.](https://www.eclipse.org) and the [sparkplug.eclipse.org authors](https://github.com/eclipsefdn/sparkplug.eclipse.org/graphs/contributors). Code released under the [Eclipse Public License Version 2.0 (EPL-2.0)](https://github.com/eclipsefdn/sparkplug.eclipse.org/blob/src/LICENSE).
